use std::io;
use rand::Rng;
use std::cmp::Ordering;

fn main() {
    println!("Let's play the guessing game!");
    let secret_number = rand::thread_rng().gen_range(1..=100);
    loop {
        println!("   What's your guess?");
        let mut guess = String::new();
        io::stdin()
            .read_line(&mut guess)
            .expect("Sorry; something didn't quite work.");
        let guess: u32 = match guess.trim().parse() {
            Ok(num) => num,
            Err(_) => continue,
        };
        match guess.cmp(&secret_number) {
            Ordering::Less => println!("...bigger!"),
            Ordering::Greater => println!("...smaller!"),
            Ordering::Equal => {
                println!("You got it - it's {}!", secret_number);
                break;
            }
        }
    }
}
